directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Directory Wiki] Update of "IdeHome" by EmmanuelLecharny
Date Sat, 24 Jun 2006 08:23:35 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Directory Wiki" for change notification.

The following page has been changed by EmmanuelLecharny:
http://wiki.apache.org/directory/IdeHome

The comment on the change is:
Updated the eclipse doco

------------------------------------------------------------------------------
  
  == Basic settings ==
  
- First, you have to make sure that your environment is correctly set. You have to be able
to compile ApacheDS without any error, and this is quite challenging, as you can see reading
the mailing list archive !
+ First, you have to make sure that your environment is correctly set. You have to be able
to compile ApacheDS without any error.
  
  So here are the prerequisites :
  
  === OS ===
- - a good operating system is needed. Call it Linux, Windows, OS-X, but at least choose a
system on which you can install a 1.4 JDK. OS/2 is not the winner in this category...
+ - a good operating system is needed. Call it Linux, Windows, OS-X, but at least choose a
system on which you can install a 1.5 JDK (1.5 is mandatory). OS/2 is not the winner in this
category...
  
  - You'll have to choose the OS on which you'll be able to install Eclipse or IDEA (or Netbeans,
or JBuilder, who knows?). Be aware that if you want to profile your favorite program, there
will be some constraints.
  
- - If you want to use Linux (welcome !), no problem. I'm personnaly enjoying '''Fedora core
3''' and '''Ubuntu 5.04'''. '''Ubuntu''' is really cool !
+ - If you want to use Linux (welcome !), no problem.
  
  === JDK ===
  
- The correct version to use is probably a JDK 5.0. First, it's needed for '''MINA''' ( one
of the sub-project ). Second, this is the present. Don't look back !
+ The correct version to use is a JDK 5.0, as it's needed for '''MINA''' ( one of the sub-project
).
  
- '''Be aware that you will need a JDK 1.5 to compile MINA !!!'''
- 
- The version to use is probably the last one : '''JDK 5.0 update 4'''. Install it.
+ The version to use is probably the last one : '''JDK 5.0 update 7''', if you use Sun(tm)
JVM. Install it.
  
  If you are a Linux user, the best solution is to install your JDK under /usr/java. Linux
gurus may have better advices, so listen to them !
  
@@ -57, +55 @@

  
  === Maven ===
  
- Here we are! You'll have to be under the iron rule of Maven to build the project. If you
can't compile ApacheDS with Maven, then you are on the dark side of the Force.
+ We use Maven 2.0 to build the project
  
- So, download and install Maven 1.0.2. ( <!> ATTENTION !!! Do *NOT* use another version
of Maven ) Install it wherever it fits your need (I've installed it under /home/java). Add
a MAVEN_HOME environment variable :
+ So, download and install Maven 2.0.4. ( <!> ATTENTION !!! Do *NOT* use another version
of Maven ) 
+ 
+ Install it wherever it fits your need (I've installed it under /opt/maven-2.0.4). Add a
MAVEN_HOME environment variable :
  
  Here is an extract of my .bashrc file on my Linux box ('''.bashrc''' is the file you'll
find in your home directory)
  {{{
  ...
- export MAVEN_HOME=/home/java/maven-1.0.2 
+ export MAVEN_HOME=/opt/maven-2.0.4
  export PATH=$JAVA_HOME:$JAVA_HOME/bin:$MAVEN_HOME/bin:$PATH
  ...
  }}}
@@ -74, +74 @@

  Make sure that Maven is correctly installed by running it in the console:
  
  {{{
- $ maven
+ $ mvn
+ [INFO] Scanning for projects...
+ [INFO] ------------------------------------------------------------------------
+ [ERROR] BUILD FAILURE
+ [INFO] ------------------------------------------------------------------------
+ [INFO] You must specify at least one goal. Try 'install'
+ [INFO] ------------------------------------------------------------------------
+ [INFO] For more information, run Maven with the -e switch
+ [INFO] ------------------------------------------------------------------------
- java version "1.5.0_04"
- Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_04-b05)
- Java HotSpot(TM) Client VM (build 1.5.0_04-b05, mixed mode, sharing)
- Java : /usr/java/jdk1.5.0_04/bin/java :
-  __  __
- |  \/  |__ _Apache__ ___
- | |\/| / _` \ V / -_) ' \  ~ intelligent projects ~
- |_|  |_\__,_|\_/\___|_||_|  v. 1.0.2
- 
- BUILD SUCCESSFUL
- Total time: 4 seconds
+ [INFO] Total time: < 1 second
- Finished at: Wed Aug 17 00:40:25 CEST 2005
- 
+ [INFO] Finished at: Sat Jun 24 10:19:22 CEST 2006
+ [INFO] Final Memory: 1M/2M
+ [INFO] ------------------------------------------------------------------------
  $
  }}}
  
- (Good ! And the JVM is OK, too !)
+ (Sorry, I don't know how to get the current version of Maven from command line ...)
  
  === Donwload the code ===
  
@@ -100, +99 @@

  {{{
  $ mkdir ApacheDS
  $ cd ApacheDS
- $ svn co http://svn.apache.org/repos/asf/directory
+ $ svn co http://svn.apache.org/repos/asf/directory/trunks
- A  directory/LicenseBoilerPlate.txt
- A  directory/trunks
- A  directory/network
- A  directory/network/trunk
- A  directory/network/trunk/xdocs
- A  directory/network/trunk/xdocs/roadmap.xml
- A  directory/network/trunk/xdocs/index.xml
- A  directory/network/trunk/xdocs/navigation.xml
- A  directory/network/trunk/LICENSE.txt
- A  directory/network/trunk/project.properties
- A  directory/network/trunk/project.xml
- A  directory/network/trunk/maven.xml
- A  directory/network/trunk/src
- A  directory/network/trunk/src/test
  ...
- Checked out external at revision 165553.
- 
- Checked out revision 165553.
  $
  }}}
  
@@ -128, +110 @@

  
  === First compilation ===
  
+ So far, so good. You have downloaded around 400 000 lines of code. 
- So far, so good. You have downloaded around 400 000 lines of code. You can check it by launching
the command '''codesize.sh''' under the sub-directory '''directory''' :
- 
- {{{
- $ pwd
- <home>/ApacheDS
- $ cd directory
- $ ./codesize.sh (sorry, windowers... please install Cygwin, it's really cool !)
- 
- lines of code in ./standalone/trunk = 1895
- lines of code in ./network/trunk = 24130
- lines of code in ./authx/trunk = 9521
- lines of code in ./testsuite/trunk = 3326
- lines of code in ./sandbox/trunk = 25707
- lines of code in ./sandbox/trunk/protocol/trunk = 583
- lines of code in ./sandbox/trunk/apseda/trunk = 15176
- lines of code in ./clients/ldap/trunk = 10402
- lines of code in ./clients/kerberos/trunk = 867
- lines of code in ./asn1/trunk = 30359
- lines of code in ./shared/ldap/trunk = 115047
- lines of code in ./shared/protocol/trunk = 2909
- lines of code in ./shared/kerberos/trunk = 12172
- lines of code in ./apacheds/trunk = 85995
- lines of code in ./naming/trunk = 17139
- lines of code in ./protocol-providers/ldap/trunk = 2388
- lines of code in ./protocol-providers/ntp/trunk = 1810
- lines of code in ./protocol-providers/dns/trunk = 6174
- lines of code in ./protocol-providers/changepw/trunk = 3001
- lines of code in ./protocol-providers/kerberos/trunk = 3893
- lines of code in ./protocol-providers/dhcp/trunk = 4846
- Total: 377340
- $ 
- }}}
  
  Let's go for the first compile session ! You have to be online as many dependencies need
to be downloaded by Maven (many Jakarta components).
  
- '''To compile the project you ***MUST*** be in the main directory''', which is '''apacheds/trunk'''.
+ '''To compile the project you ***MUST*** be in the main directory'''.
  
- The command to type is '''maven multiproject:install'''. Don't ask me what it means, I don't
know ;-), at least, it compiles the whole thing, and runs the tests.
+ The command to type is '''mvn install'''.
  
+ You may want to start with a '''mvn clean''' if you already have compiled the server pnce.
- {{{
- $ pwd
- <home>/ApacheDS/directory
- $ cd apacheds/trunk/
- $ pwd
- <home>/ApacheDS/directory/apacheds/trunk
- $ maven multiproject:install
- java version "1.5.0_04"
- Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_04-b05)
- Java HotSpot(TM) Client VM (build 1.5.0_04-b05, mixed mode, sharing)
- Java : /usr/java/jdk1.5.0_04/bin/java :
-  __  __
- |  \/  |__ _Apache__ ___
- | |\/| / _` \ V / -_) ' \  ~ intelligent projects ~
- |_|  |_\__,_|\_/\___|_||_|  v. 1.0.2
  
- build:start:
+ Compilation may take a while (10 minutes if your repository is empty)
  
+ When it's done, you ca also launch the tests :
- multiproject:install:
- multiproject:projects-init:
-     [echo] Gathering project list
  
+ '''mvn test''' for simple tests
+ '''mvn -Dintegration test''' for integration tests
- Starting the reactor...
- Our processing order:
- ApacheDS Shared
- ApacheDS Plugin
- ApacheDS Core
- ApacheDS Main
- ...
- }}}
- 
- Tea time. Enjoy the pleasure of a [http://en.wikipedia.org/wiki/Lapsang_souchong Lapsang
Souchong], you have to brew it for 5 minutes before drinking it ...
- 
- {{{
- ...
- BUILD SUCCESSFUL
- Total time: 2 minutes 17 seconds
- Finished at: Mon May 02 00:25:27 CEST 2005
- $
- }}}
- 
- Jeeze ! My computer is really fast ! ahhh. I know. I have all the downloaded files already
in my Maven repository. (400 000 lines of Java code compiled in 2 minutes. Who ever said that
Java was slow ? )
- 
- You may also want to ''mavenize'' some other projects, to check that they are fine :
-  * shared/ldap
-  * shared/kerberos
- 
- Just go to their trunk, and type the following command :
- 
- {{{
- maven -Dgoal=clean,test multiproject:goal
- }}}
- 
  
  == Using Eclipse IDE ==
  
  Ok, so your basic environment is up and running. Time to ''Eclipse'' the command line, it
seems.
  
+ First, we will build the projects file needed by eclipse : .projects and .classpath :
+ 
+ '''mvn eclipse:eclipse'''
+ 
  === Eclipse version ===
  
- Last but not least. Install Eclipse 3.1.0 (On Linux, I'm installing it in /opt. Windows
afficionados, do wathever you want !)
+ Last but not least. Install Eclipse 3.x.0 (On Linux, I'm installing it in /opt. Windows
afficionados, do wathever you want !)
  
  Add an '''eclipse-apacheDS.sh''' file in your eclipse root directory, to allow eclipse to
get more memory :
  
@@ -281, +191 @@

   * The user may be anonymous/<nothing>. If you are a committer, you must type your
user/password here, and change the previous http by https.
  
  ==== Maven settings ====
- You will have to declare an ''Eclipse'' variable : '''MAVEN_REPO'''. This will be used to
point to the used jars by projects.
+ You will have to declare an ''Eclipse'' variable : '''M2_REPO'''. This will be used to point
to the used jars by projects.
  
  You can declare new variables in ''Eclipse'' in '''_W_indows -> _P_references...''' and
selecting '''Java -> Build Path -> Classpath Variables''' :
  
  attachment:MAVEN_REPO_adding.png
  
- Add the '''MAVEN_REPO''' variable : 
+ Add the '''M2_REPO''' variable : 
  
  attachment:MAVEN_REPO_value.png
  
  That's it !
  
  === Importing projects ===
+ Just import all the projects into your eclipse perspective. It's really simple.
- 
- Now, you will have to get the projects. There are two options :
-  * you just want to be able to run ApacheDS inside Eclipse, and be able to debug it
-  * you also want to work on the code and commit it (so you are an Apache committer of ApacheDS
project !)
- 
- ==== 'playing' with apache DS ====
- The best solution is to work with the code which has been checked out previously. 
- 
- TO BE COMPLETED
  
  ==== Code formatting ====
  
@@ -311, +213 @@

  ==== Committer special ====
  The best solution will be to check out the whole code base on a specific directory, which
'''must''' not be a subdirectory of your workspace. You will then create all the needed projects
from this directory
  
- The following schema describe the existing relationships between each projects :
- 
- attachment:project-deps.png
- 
- Check out the projects in the following order :
- 
- /!\ You may want to import the .classpath I use. You will found them in the next chapter.
- 
- 1) '''MINA'''
- 
- Here are the steps to follow :
- 
-  * Right click on the left panel, and open the project wizard '''__N__ew -> __P__roject'''

- 
-  * Select '''Java Project''' and click on '''__N__ext >'''
- 
-  * Check the entry "Create project from e__x__isting source"
- 
-  * browse to the directory where you have checked out the code base : .../directory/network/trunk
- 
-  * give the project a name : ADS-mina-HEAD, for instance
- 
-  * Click on '''__F__inish'''
- 
- The project should be created.
- 
- You can see that the project has errors. This is just normal, we didn't have any clue about
where to find jars and source at this moment.
- 
- 
-  * Upload the '''.classpath''' for this project, and store it in the directory '''network-MINA-0.7.3'''
that has just been created in your workspace : 
- 
- attachment:network-mina-0.7.3.classpath
- 
-  * You now have to refresh your project by pressing the '''F5''' key, all the errors must
disappear.
- 
- Here are some informations about this project :
-  
- 
- ||||||<:#CCCCCC> '''network (ADS-mina-HEAD)''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/network/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''ADS-mina-HEAD'' ||||
- ||<|3#FFFFC0> '''Sources directories''' || ''src/examples'' ||||
- ||''src/java'' ||||
- ||''src/test'' ||||
- ||<|7#FFFFC0> '''jars''' || ''junit-3.8.1.jar'' ||||
- || ''commons-net-1.3.0.jar''  || ( 1.4.0 available ) ||
- || ''slf4j-simple-1.0-beta9.jar''  ||||
- || ''spring-beans-1.2.5.jar''  ||||
- || ''spring-core-1.2.5.jar''  ||||
- || ''easymock-1.2_java1.3.jar''  ||||
- || ''easymockclassextension-1.2.jar''  ||||
- ||<|2#E0E0E0> '''unused jars''' ||||<#E0E0E0> ''emma-2.0.latest.jar'' ||
- ||||<#E0E0E0> ''maven-emma-plugin-0.4.jar'' ||
- 
- 2) '''ASN.1'''
- 
-  The '''ASN1''' project contains the following sub-projects :
-  * der
-  * ber
-  * new-ber
-  * codec
- 
- __ '''der''' sub-project __
- 
- This is quite a standalone project, it does not depend on other sub-projects nor on jars.
- 
- ||||||<:#CCCCCC> '''ASN1 DER (ADS-der-HEAD)''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/asn1/trunk/der'' ||||
- ||<:#FFFFC0> '''name''' || ''ADS-asn1-der-HEAD'' ||||
- ||<#FFFFC0> '''Sources directories''' || ''src/main/java'' ||||
- 
- __ '''ber''' sub-project __
- 
- __ '''new-ber''' sub-project __
- 
- __ '''codec''' sub-project __
- 
-  * the '''commons-primitives''' jar is a little bit outdated on jakarta web site. The 1.0
version won't work. You will need to use the version '''maven''' grabbed from its repository
(commons-primitives-20041207.202534.jar), or get a nightly build, build a jar and use it.
-  * the '''commons-test''' project has died. You should get the jar from your maven repository.
- 
-  * you will have to generate with antlr before using the project. Launch maven tasks '''antlr:prepare-filesystem
antlr:generate''' in Mevenide.
- 
- That's it. You can now download the asn1 ''.classpath'' file : attachment:asn1.classpath
and copy it in the ''<workspace>/asn1 directory'', and refresh you workspace.
- 
- Here are some informations about '''asn1''' project : 
- 
- ||||||<:#CCCCCC> '''Asn.1''' ||
- ||<:#FFFFC0> '''directory''' || ''<home>/ApacheDS/directory/asn1/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''asn1'' ||||
- ||<|8#FFFFC0> '''Sources directories''' || ''ber/src/java'' ||||
- ||''ber/src/test'' ||||
- ||''codec/src/java'' ||||
- ||''codec/src/test'' ||||
- ||''der/src/java'' ||||
- ||''stub-compiler/src/java'' ||||
- ||''stub-compiler/src/test'' ||||
- ||''stub-compiler/target/antlr'' ||||
- ||<|9#FFFFC0> '''jars''' || ''antlr-2.7.2'' || (2.7.5 available) ||
- || ''commons-collections-3.0.jar'' || ( 3.1 available ) ||
- || ''commons-lang-2.0.jar'' || ( 2.1 available ) ||
- || ''commons-logging-1.0.3.jar'' || ( 1.0.4 available, but should be replaced by slf4j )
||
- || ''commons-primitives-20041207.202534.jar'' ||||
- || ''commons-test-0.1.jar'' || ( does not exist !!! ) ||
- || ''junit-3.8.1.jar'' ||||
- || ''nlog4j-1.2.14.jar'' || ( 1.2.16 is available ... ) ||
- || ''velocity-dep-1.4.jar'' ||||
- ||<|2#E0E0E0> '''unused jars''' ||||<#E0E0E0> ''regexp-1.2.jar'' ||
- ||||<#E0E0E0> ''avalon-logkit2.0.0.jar'' ||
- ||<:#FFFFC0> '''projects''' |||| ''network-MINA-0.7.3'' ||
- 
- 
- 3) '''Shared LDAP'''
-  * you will need to generate with Antlr after having checked out the project.
-  * note : do '''not''' choose ''target'' as your target for generated classes. Use ''bin''
instead, otherwize there will be a collision between antlr generated files and classes.
- 
- ||||||<:#CCCCCC> '''shared ldap''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/shared/ldap/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''shared-ldap'' ||||
- ||<|7#FFFFC0> '''Sources directories''' || ''common/src/java'' ||||
- ||''common/src/test'' ||||
- ||''apache-provider/src/java'' ||||
- ||''apache-provider/src/test'' ||||
- ||''snacc-provider/src/java'' ||||
- ||''snacc-provider/src/test'' ||||
- ||''common/target/antlr'' ||||
- ||<|6#FFFFC0> '''jars''' || ''antlr-2.7.2.jar'' || ( 2.7.5 available ) ||
- || ''commons-lang-2.0.jar'' || ( 2.1 available ) ||
- || ''jakarta-regexp-1.2.jar'' || ( 1.4 available ) ||
- || ''oro-2.0.7.jar'' || (jakarta-oro-2.0.8 available ) ||
- || ''junit-3.8.1.jar'' ||||
- || ''snacc4j-2.3.jar'' || Licence problem... ||
- ||<|4#E0E0E0> '''unused jars''' ||||<#E0E0E0> ''commons-logging-1.0.3.jar''
||
- ||||<#E0E0E0> ''commons-primitives-20041207.202534.jar'' ||
- ||||<#E0E0E0> ''commons-collections-2.1.jar'' ||
- ||||<#E0E0E0> ''commons-collections-3.0.jar'' ||
- ||<:#FFFFC0> '''projects''' |||| ''asn1'' ||
- 
- 4.1) '''protocol provider ldap'''
-  * note : the project will *not* compile correctly. There is a dependancy with the '''apacheds'''
project. This is something that must be corrected, but right now, this is not important.
- 
- ||||||<:#CCCCCC> '''protocol provider ldap''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/protocol-providers/ldap/trunk''
||||
- ||<:#FFFFC0> '''name''' || ''protocol-providers-ldap'' ||||
- ||<|2#FFFFC0> '''Sources directories''' || ''src/main/java'' ||||
- ||''src/test'' ||||
- ||<|2#FFFFC0> '''jars''' || ''junit-3.8.1.jar'' ||||
- || ''nlog4j-1.2.14.jar'' || ( 1.2.16 is available ... ) ||
- ||<|3#FFFFC0> '''projects''' |||| ''asn1'' ||
- |||| ''network-MINA-0.7.3'' ||
- |||| ''shared-ldap'' ||
- 
- 4.2) '''clients ldap'''
- 
- ||||||<:#CCCCCC> '''clients ldap''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/clients/ldap/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''clients-ldap'' ||||
- ||<:#FFFFC0> '''Sources directory''' || ''src/java'' ||||
- ||<|2#FFFFC0> '''jars''' || ''commons-cli-1.0.jar'' ||||
- || ''nlog4j-1.2.14.jar'' || ( 1.2.16 is available ... ) ||
- ||<|4#E0E0E0> '''unused jars''' ||||<#E0E0E0> ''commons-collections-2.1.jar''
||
- ||||<#E0E0E0> ''log4j-1.2.8.jar'' ||
- ||||<#E0E0E0> ''commons-collections-2.1.jar'' ||
- ||||<#E0E0E0> ''regexp-1.2.jar'' ||
- ||<|2#FFFFC0> '''projects''' |||| ''asn1'' ||
- |||| ''shared-ldap'' ||
- 
- 4.3) '''shared kerberos'''
- 
- ||||||<:#CCCCCC> '''shared kerberos''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/shared/kerberos/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''shared-kerberos'' ||||
- ||<:#FFFFC0> '''Sources directory''' || ''common/src/java'' ||||
- ||<|2#FFFFC0> '''jars''' || ''bcprov-jdk14-124.jar'' ||||
- || ''commons-logging-1.0.4.jar' || ( slf4j should be used instead ... ) ||
- ||<|2#FFFFC0> '''projects''' |||| ''asn1'' ||
- |||| ''shared-ldap'' ||
- 
- 
- 5.1) '''protocol provider kerberos'''
- 
- ||||||<:#CCCCCC> '''protocol provider kerberos''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/protocol-providers/kerberos/trunk''
||||
- ||<:#FFFFC0> '''name''' || ''protocol-providers-kerberos'' ||||
- ||<|2#FFFFC0> '''Sources directories''' || ''src/java'' ||||
- ||''src/test'' ||||
- ||<|2#FFFFC0> '''jars''' || ''junit-3.8.1.jar'' ||||
- || ''commons-logging-1.0.3.jar'' || ( slf4j should be used instead ... ) ||
- ||<|3#FFFFC0> '''projects''' |||| ''asn1'' ||
- |||| ''network-MINA-0.7.3'' ||
- |||| ''shared-kerberos'' ||
- 
- 5.2) '''clients kerberos'''
- 
- ||||||<:#CCCCCC> '''clients kerberos''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/clients/kerberos/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''clients-kerberos'' ||||
- ||<|2#FFFFC0> '''Sources directory''' || ''src/java'' ||||
- || ''examples/src/java'' ||||
- ||<:#FFFFC0> '''jars''' || none ... ||||
- ||<:#FFFFC0> '''projects''' |||| ''shared-kerberos'' ||
- 
- 5.3) '''protocol providers changepw'''
- 
- ||||||<:#CCCCCC> '''protocol providers changepw''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/protocl-providers/changepw/trunk''
||||
- ||<:#FFFFC0> '''name''' || ''protocol-providers-changepw'' ||||
- ||<:#FFFFC0> '''Sources directory''' || ''src/java'' ||||
- ||<:#FFFFC0> '''jars''' || none ... ||||
- ||<:#E0E0E0> '''unused jars''' ||||<#E0E0E0> ''junit-3.8.1.jar'' ||
- ||<|3#FFFFC0> '''projects''' |||| ''asn1'' ||
- |||| ''shared-kerberos'' ||
- |||| ''network-MINA-0.7.3'' ||
- 
- 
- 6) '''apacheds'''
-  * note : Schema's java classes must have been generated by '''antlr''' after having checked
out the project.
- 
- ||||||<:#CCCCCC> '''apacheds''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/apacheds/trunk'' ||||
- ||<:#FFFFC0> '''name''' || ''apacheds'' ||||
- ||<|10#FFFFC0> '''Sources directory''' || ''core/src/main/java'' ||||
- || ''core/src/test'' ||||
- || ''core/target/schema'' ||||
- || ''main/src/main/java'' ||||
- || ''main/src/test'' ||||
- || ''plugin/src/main/java'' ||||
- || ''plugin/src/test'' ||||
- || ''plugin/target/antlr'' ||||
- || ''plugin/target/schema'' ||||
- || ''shared/src/main/java'' ||||
- ||<|13#FFFFC0> '''jars''' || ''junit-3.8.1.jar'' ||||
- || ''commons-io-1.0.jar'' || ||
- || ''commons-lang-2.0.jar'' || ( 2.1 is available ) ||
- || ''regexp-1.2.jar'' || ( jakarta-regexp 1.4 is available ) ||
- || ''nlog4j-1.2.14.jar'' || ( 1.2.16 is available ) ||
- || ''commons-collections-3.1.jar'' ||||
- || ''jdbm-0.20-dev.jar'' || ( 1.0 is available ) ||
- || ''spring-beans-1.2.1.jar'' || (  is available ) ||
- || ''spring-context-1.2.1.jar'' || (  is available ) ||
- || ''spring-core-1.2.1.jar'' || (  is available ) ||
- || ''velocity-dep-1.4.jar'' || (  is available ) ||
- || ''ant-1.5.3.1.jar'' || ( 1.6.2 is available ) ||
- || ''antlr-2.7.2.jar'' || ( 2.7.5 is available ) ||
- ||<|5#E0E0E0> '''unused jars''' ||||<#E0E0E0> ''commons-primitive-20041207.202534.jar''
||
- ||||<#E0E0E0> ''oro-2.0.7.jar'' ||
- ||||<#E0E0E0> ''commons-collection-3.0.jar'' ||
- ||||<#E0E0E0> ''maven-javaapp-plugin-1.3.jar'' ||
- ||||<#E0E0E0> ''commons-logging-1.0.4.jar'' ||
- ||<|5#FFFFC0> '''projects''' |||| ''network-MINA-0.7.3'' ||
- |||| ''protocol-providers-kerberos'' ||
- |||| ''protocol-providers-ldap'' ||
- |||| ''shared-kerberos'' ||
- |||| ''shared-ldap'' ||
- 
- 
- 
- 7) '''ASN.1 new codec'''
- ||||||<:#CCCCCC> '''Sanbox asn1-new-codec''' ||
- ||<:#FFFFC0> '''directory''' || ''<repository>/sandbox/trunk/asn1-new-codec''
||||
- ||<:#FFFFC0> '''name''' || ''sandbox-asn1-new-codec'' ||||
- ||<|3#FFFFC0> '''Sources directories''' || ''src/java'' ||||
- ||''src/perfs'' ||||
- ||''src/test'' ||||
- ||<|3#FFFFC0> '''jars''' || ''junit-3.8.1.jar'' ||||
- ||''commons-httpclient-2.0.jar'' ||||
- ||''nlog4j-1.2.16.jar'' || ( the 1.2.14 has some problems... ) ||
- ||<:#FFFFC0> '''projects''' |||| ''shared-ldap'' ||||
- 
- === .classpath ===
- 
- Here are the .classpath I use :
- 
- 
- ||<:#CCCCCC> '''project'''||<:#CCCCCC> '''.classpath'''||
- ||apacheds||attachment:apacheds.classpath||
- ||asn1||attachment:asn1.classpath||
- ||authx||attachment:authx.classpath||
- ||clients-kerberos||attachment:clients-kerberos.classpath||
- ||clients-ldap||attachment:clients-ldap.classpath||
- ||naming||attachment:naming.classpath||
- ||network-MINA||attachment:network-mina.classpath||
- ||network-MINA-0.7.3||attachment:network-mina-0.7.3.classpath||
- ||protocol-provider-changepw||attachment:protocol-providers-changepw.classpath||
- ||protocol-provider-dhcp||attachment:protocol-providers-dhcp.classpath||
- ||protocol-provider-dns||attachment:protocol-providers-dns.classpath||
- ||protocol-provider-kerberos||attachment:protocol-providers-kerberos.classpath||
- ||protocol-provider-ldap||attachment:protocol-providers-ldap.classpath||
- ||protocol-provider-ntp||attachment:protocol-providers-ntp.classpath||
- ||sandbox-asn1-new-codec||attachment:sandbox-asn1-new-codec.classpath||
- ||shared-kerberos||attachment:shared-kerberos.classpath||
- ||shared-ldap||attachment:shared-ldap.classpath||
- ||sitedocs||attachment:sitedocs.classpath||
- ||testsuite||attachment:testsuite.classpath||
- 
- Copy those .classpath files in the correct sub-directories, refresh the perspective, it
should be OK.
- 
- '''THIS IS A DRAFT !!! Thanks to mail a comment to dev@directory.apache.org if you have
any problem!'''
- 
- 
- 
  == Using Idea IDE ==
  
  Any IDEA user out there ?

Mime
View raw message